-- $Name: Чип и Дейл 2$
-- автор: Дударь Дмитрий, 2011
instead_version "1.3.1"
game.codepage="UTF-8";
game.use = 'Так не получится.';
game.enable_save = false;
global {
q1 = 0;
}
main = room{
     pic = 'data/1.jpg';
     nam = 'Чип и Дейл 2';
    obj = {vway("a1", "Нажмите {СТАРТ}. ", 'loc1'),
	},
	enter = function()
		set_music('data/1.ogg');
	end,
};
loc1 = room{
     pic = 'data/2.jpg';
     nam = 'Вступление';
    obj = {vway("a1", [[Всё началось тёмной ночью, когда Толстопуз сбежал из тюрьмы. 
    И уже утром по городу пронеслась тревожная {весть}.]], 'loc2'),
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
loc2 = room{
     pic = 'data/3.jpg';
     nam = 'Вступление';
    obj = {vway("a1", [[
    Ведущий новостей:
    ^- Экстренное сообщение: по утверждениям полиции в ресторане
     в центре города заложена часовая бомба.  И теперь ресторан может взорваться в любую минуту!
    ^Чип закричал:
    ^- Все сюда! Часовая {бомба}! 
    ]], 'loc3'),
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
loc3 = room{
     pic = 'data/4.jpg';
     nam = 'Вступление';
    obj = {vway("a1", [[
    Прибежала Гайка: 
    ^- Чип! Что случилось?
    ^Чип ответил:
    ^- В центральном ресторане заложена бомба. Нам надо найти её как можно быстрее!
    ^Гайка встревожилась:
    ^- Городу угрожает опасность! Нам надо {спешить}! 
    ]], 'loc4'),
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
loc4 = room{
     pic = 'data/5.jpg';
     nam = 'Вступление';
    obj = {vway("a1", [[
    Тут появился Рокфор:
    ^- Да, дело, конечно, непростое. Мы с Гайкой пойдём вперёд и всё исследуем. И постараемся помочь.
    Клянусь сыром!
    ^- Вперёд друзья! - Гайка и Рокфор отправились в путь, а Чип остался ждать {Дейла}.
    ]], 'loc5'),
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
loc5 = room{
     pic = 'data/6.jpg';
     nam = 'Вступление';
    obj = {vway("a1", [[
    Вскоре прибежал Дейл. Чип сказал:
    ^- Дейл, ты пойдёшь со мной!
    ^Дейл удивился:
    ^- Прямо сейчас? Я как раз хотел вздремнуть часок.
    ^Чип грозно посмотрел на него:
    ^- Забудь об этом, Дейл.
    ^Дейл засмеялся:
    ^- Ладно, партнёр, пошли! Спасатели спешат на {помошь}!
    ]], 'loc6'),
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
loc6 = room{
     pic = 'data/7.jpg';
     nam = 'Уровень 1: Ресторан';
    obj = {vway("a1", [[
    Чип мог идти {вперёд}.
    ]], 'loc7'),
	},
	enter = function()
		set_music('data/4.ogg');
	end,
};
rat = obj{
    nam = 'крыса';
    dsc = 'На пути у Чипа встала {крыса}.';
    act = '- Она не даёт мне пройти. Вот, вредная!';
    used = function(s,w)
    if w == box1 then 
    goto('loc8'); inv():del('box1');
    end;
    if w == box2 then 
    goto('loc9'); inv():del('box2');
    end;
    end;
};
box1 = obj{
    nam = 'ящик';
    dsc = 'Рядом лежали {ящики}.';
    inv = '- Отличный ящик. Им можно бросить во врага. ';
    act = function() q1 = 1;
    inv():add('box1'); objs('loc7'):del('box1');
    objs('loc7'):add('box2'); p[[Чип взял один ящик.]];
    end;
};
box2 = obj{
    nam = 'ящик';
    dsc = 'Рядом лежал {ящик}.';
    inv = '- Отличный ящик. Им можно бросить во врага. ';
    act = function() 
    if q1 == 1 then p[[- Я уже взял один ящик.]];
    else
    inv():add('box2'); objs('loc7'):del('box2'); q1 = 4;
    p[[Чип взял последний ящик. Крыса стала убегать.]]; end;
    end;
};
loc7 = room{
     pic = function()
     if q1 == 0 then return('data/8.jpg');end;
     if q1 == 1 then return('data/9.jpg');end;
     if q1 == 3 then return('data/11.jpg');end;
     if q1 == 4 then return('data/12.jpg');end;
     end;
     nam = 'Уровень 1: Ресторан';
    obj = {rat,box1,
	},
	enter = function() if q1 == 2 then q1 = 3; 
	p[[Ящик разлетелся вдребезги. Крыса ехидно засмеялась.]]; end;
		set_music('data/4.ogg');
	end,
};
loc8 = room{
     pic = 'data/10.jpg';
     nam = 'Уровень 1: Ресторан';
    obj = {vway("a1", [[
    Крыса бросила вилку в Чипа, но он прикрылся {ящиком}.
    ]], 'loc7'),
	},
	enter = function() q1 = 2;
		set_music('data/4.ogg');
	end,
};
loc9 = room{
     pic = 'data/13.jpg';
     nam = 'Уровень 1: Ресторан';
    obj = {vway("a1", [[
    Чип бросил ящиком в крысу. Она упала вниз. Путь был {свободен}.
    ]], 'loc10'),
	},
	enter = function()
		set_music('data/4.ogg');
	end,
};
loc10 = room{
     pic = 'data/14.jpg';
     nam = 'Уровень 1: Ресторан';
    obj = {vway("a1", [[
    Чип оказался на кухне. Он мог идти {вперёд}.
    ]], 'loc11'),
	},
	enter = function() q1 = 0;
		set_music('data/4.ogg');
	end,
};
rat1 = obj{
    nam = 'крыса - бейсболист';
    dsc = 'Вверху Чип заметил {крысу} с ложкой.';
    inv = '- Она чертовски тяжёлая. Надо бы её куда-нибудь бросить.';
    act = function()
    if q1 == 0 then p[[- Она похожа на бейсболиста, - подумал Чип.]];end;
    if q1 == 1 then p[[- Она похожа на бейсболиста, - подумал Чип.]];end;
    if q1 == 2 then p[[Чип взял крысу.]]; inv():add('rat1'); q1 = 3;
    objs('loc11'):del('rat1'); end;
    end;
    used = function(s,w)
    if w == box3 then p[[От удара ящиком крыса вошла в ступор.]];
     q1 = 2; inv():del('box3');
    end;
    end;
};
box3 = obj{
    nam = 'ящик';
    dsc = 'Возле стаканов лежал {ящик}.';
    inv = '- Отличный ящик. Им можно бросить во врага. ';
    act = function() q1 = 1;
    inv():add('box3'); objs('loc11'):del('box3');
    p[[Чип взял ящик.]];
    end;
};
loc11 = room{
     pic = function()
     if q1 == 0 then return('data/15.jpg');end;
     if q1 == 1 then return('data/16.jpg');end;
     if q1 == 2 then return('data/17.jpg');end;
     if q1 == 3 then return('data/18.jpg');end;
     end;
     nam = 'Уровень 1: Ресторан';
    obj = {rat1, vway("a1", [[
    Чип мог идти {дальше}.
    ]], 'loc12'), box3,
	},
	enter = function()
		set_music('data/4.ogg');
	end,
};
rat2 = obj{
     nam = 'крыса-бейсболист';
     dsc = 'На пути у Чипа стояла {крыса} с ложкой.';
     act = '- Убирайся! Бурундукам здесь не место! - закричала крыса.';
     used = function(s,w)
     if w == box3 then goto('loc13'); inv():del('box3'); end;
     if w == rat1 then goto('loc14'); inv():del('rat1'); end;
     end;
};
loc12 = room{
     pic = function()
     if q1 == 0 then return('data/19.jpg');end;
     if q1 == 1 then return('data/20.jpg');end;
     if q1 == 2 then return('data/19.jpg');end;
     if q1 == 3 then return('data/21.jpg');end;
     end;
     nam = 'Уровень 1: Ресторан';
    obj = {rat2, vway("a1", [[
    Чип мог вернуться {назад}.
    ]], 'loc11'),
	},
	enter = function() if q1 == 5 then q1 = 1; p[[Чип поймал ящик.]]; inv():add('box3'); end;
		set_music('data/4.ogg');
	end,
};
loc13 = room{
     pic = 'data/22.jpg';
     nam = 'Уровень 1: Ресторан';
    obj = {vway("a1", [[
    Крыса отбила ложкой ящик. Он полетел {обратно}.
    ]], 'loc12'),
	},
	enter = function() q1 = 5;
		set_music('data/4.ogg');
	end,
};
loc14 = room{
     pic = 'data/23.jpg';
     nam = 'Уровень 1: Ресторан';
    obj = {vway("a1", [[
    Крыса не смогла отбить ложкой такой тяжёлый подарочек и отправилась в нокаут. 
    Чип двинулся {вперёд}.
    ]], 'loc15'),
	},
	enter = function() q1 = 5;
		set_music('data/4.ogg');
	end,
};
loc15 = room{
     pic = 'data/24.jpg';
     nam = 'Уровень 1: Ресторан';
    obj = {vway("a1", [[
    Чип оказался перед {раковиной}.
    ]], 'loc16'),
	},
	enter = function() q1 = 0;
		set_music('data/4.ogg');
	end,
};
vz = obj{
     nam = 'Вжик';
     dsc = 'На помощь Чипу прилетел {Вжик}.';
     inv = '- Вжик, помоги мне выбраться отсюда!';
     act = function()
     inv():add('vz'); objs('loc16'):del('vz');
     p[[- Я к твоим услугам! - запищал Вжик.]];
     end;
};
ext1 = obj{
     nam = 'выход';
     dsc = 'В стене под раковиной виднелась {дыра}.';
     act = function()
     if q1 == 0 then p[[- Я не допрыгну!]];end;
     if q1 == 1 then goto('loc17'); q1 = 0; end;
     end;
};
kran = obj{
     nam = 'kran';
     act = '- Я не достану до него.';
     dsc = [[Чип стоял на небольшом блюдце. Где-то вверху блестел {кран}.]];
     used = function()
     inv():del('vz'); q1 = 1; p[[Вжик взлетел вверх и открыл кран. Вода наполнила раковину.]];
     end;
};
loc16 = room{
     pic = function()
     if q1 == 0 then return('data/25.jpg');end;
     if q1 == 1 then return('data/26.jpg');end;
     end;
     nam = 'Уровень 1: Ресторан';
    obj = {kran,ext1,vz 	},
	enter = function() p[[Чип прыгнул в раковину.]];
	set_music('data/4.ogg');
	end,
};
loc17 = room{
     pic = 'data/27.jpg';
     nam = 'Уровень 1: Ресторан';
    obj = {vway("a1", [[
    Пройдя через дыру в стене, Чип и Дейл обнаружили Водяного Кролика:
    ^- Попался! Теперь рассказывай, кто заложил часовую бомбу?
    ^- Это я! Толстопуз приказал устроить мне диверсию, и я с радостью выполнил его задание!
    А он в это время должен украсть Урну Фараона! Да, это был всего лишь 
    отвлекаюший манёвр! Вы опоздали!
    ^- Ну, сейчас ты у нас получишь! Говори, где бомба!
    ^- Сначала поймайте меня!
    ^Водный Кролик прыгнул в сточную {трубу}.
    ]], 'loc18'),
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
loc18 = room{
     pic = 'data/28.jpg';
     nam = 'Уровень 1: Босс';
    obj = {vway("a1", [[Водный Кролик готовился к атаке. Его пылесос угрожающе жужжал. 
    Чип мог спрыгнуть на нижнюю {платформу} 
    ]], 'loc19'),
    vway("a1", [[или прыгнуть на правую {платформу}. 
    ]], 'loc20'),
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
loc19 = room{
     pic = 'data/29.jpg';
     nam = 'Уровень 1: Босс';
    obj = {vway("a1", [[Водный Кролик перехитрил Чипа. Запрыгнув на верхнюю платформу,
     Кролик сбил Чипа струёй воды. Бедный Чип весь вымок, но и не думал {сдаваться}.  
    ]], 'loc18'),
	},
	enter = function()
		set_music('data/5.ogg');
	end,
};
rabbit = obj{
       nam = 'rabbit';
       dsc = '{Водный Кролик} готовился к атаке.';
       act = function()
       if q1 == 0 then
       p[[Ящик смыло водой. Убегая от Кролика, Чип вернулся на исходную позицию.]];
       goto('loc18'); end;
       if q1 == 1 then p[[- Ненавижу бурундуков! - закричал Водный Кролик.]]; end;
       end;
       used = function(s,w) inv():del('box4');
       goto('loc21');
       end;
};
box4 = obj{
       nam = 'ящик';
       dsc = 'Сверху упал {ящик}.';
       act = function()
       q1 = 1; inv():add('box4'); objs('loc20'):del('box4');
       p[[Чип успел схватить ящик.]]
       end;
       inv = '- Отличный ящик. Им можно бросить во врага. ';
};
loc20 = room{
     pic = function()
     if q1 == 0 then return('data/30.jpg'); end;
     if q1 == 1 then return('data/31.jpg'); end;
     end;
     nam = 'Уровень 1: Босс';
    obj = {rabbit,box4},
	enter = function()
		set_music('data/5.ogg');
	end,
};
loc21 = room{
     pic = 'data/32.jpg';
     nam = 'Уровень 1 ПРОЙДЕН!!!';
    obj = {vway("a1", [[Чип сбил Водного Кролика ящиком. Тот повис на краю обрыва:
    ^- Помогите мне! Я не хочу упасть вниз!
    ^- Тогда говори, где бомба!
    ^- Я всё скажу, только поднимите меня!
    ^- По тебе плачет тюрьма, ушастый!
    ^Чип и Дейл подняли и скрутили Водного Кролика. Он рассказал отважным спасателям, где 
    спрятана часовая {бомба}.  
    ]], 'loc22'),
	},
	enter = function()
		set_music('data/6.ogg');
	end,
};
loc22 = room{
     pic = 'data/33.jpg';
     nam = 'Сцена с бомбой';
    obj = {vway("a1", [[Гайка внимательно изучала часовую бомбу:
    ^- Смотрите, на бомбе два провода - синий и красный. Чтобы обезвредить её,
    нам надо перерезать один из них.
    ^- Но что будет, если мы перережем не тот провод?
    ^- Тогда мы взлети на воздух! Вот, дела...
    ^- Что жь, у нас мало времени. Мы должны принять решение.
    ^Гайка могла перерезать {синий}  
    ]], 'loc23'),
    vway("a1", [[или {красный} провод.  
    ]], 'loc24'),
	},
	enter = function()
		set_music('data/2.ogg');
	end,
};
loc23 = room{
     pic = 'data/34.jpg';
     nam = 'Сцена с бомбой';
    obj = {vway("a1", [[Гайка перерезала синий провод. Раздался оглушительный хлопок.
    Чип подпрыгнул от неожиданности. Дейл от страха упал в обморок. Гайка сказала:
    ^- Нам повезло, это была всего лишь хлопушка. Бомба оказалась ненастоящей.
    ^- Так можно и с ума сойти!
    ^- А что с Дейлом?
    ^- Ух, он, наверное, сильно перепугался.
    ^- Что же нам делать {дальше}?  
    ]], 'loc25'),
	},
	enter = function()
		set_music('data/8.ogg');
	end,
};
loc24 = room{
     pic = 'data/35.jpg';
     nam = 'Сцена с бомбой';
    obj = {vway("a1", [[Гайка перерезала красный провод. Бомба была обезврежена. Гайка сказала:
    ^- Нам повезло, мы перерезали нужный провод. Но бомба оказалась ненастоящей.
    ^- Так, значит, нас обманули!
    ^- И что же нам теперь делать {дальше}?  
    ]], 'loc25'),
	},
	enter = function()
		set_music('data/8.ogg');
	end,
};
loc25 = room{
     pic = 'data/35.jpg';
     nam = 'Сцена с бомбой';
    obj = {vway("a1", [[Гайка ответила:
    ^- Поспешим! Толстопуз украл Урну Фараона! Сейчас он на корабле и готовится к отплытию!
    ^- Но зачем ему понадобилась Урна Фараона?
    ^- Да кто его знает? Нам просто нужно вернуть её обратно!
    ^- Тогда вперёд! Спасатели спешат на помощь!
    ^Впереди Чипа, Дейла, Гайку, Рокфора и Вжика ждали новые {приключения}.
    ]], 'loc26'),
	},
	enter = function()
		set_music('data/8.ogg');
	end,
};
loc26 = room{
     pic = 'data/36.jpg';
     nam = 'Уровень 2: Канализация';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc27'),
	},
	enter = function()
		set_music('data/7.ogg');
	end,
};
loc27 = room{
     pic = 'data/37.jpg';
     nam = 'Уровень 2: Босс';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc28'),
	},
	enter = function()
		set_music('data/7.ogg');
	end,
};
loc28 = room{
     pic = 'data/38.jpg';
     nam = 'Уровень 3: Корабль';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc29'),
	},
	enter = function()
		set_music('data/9.ogg');
	end,
};
loc29 = room{
     pic = 'data/39.jpg';
     nam = 'Уровень 3: Босс';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc30'),
	},
	enter = function()
		set_music('data/9.ogg');
	end,
};
loc30 = room{
     pic = 'data/40.jpg';
     nam = 'Сцена в порту';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc31'),
	},
	enter = function()
		set_music('data/10.ogg');
	end,
};
loc31 = room{
     pic = 'data/41.jpg';
     nam = 'Уровень 4: Морозильные камеры';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc32'),
	},
	enter = function()
		set_music('data/10.ogg');
	end,
};
loc32 = room{
     pic = 'data/42.jpg';
     nam = 'Сцена у отеля';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc33'),
	},
	enter = function()
		set_music('data/11.ogg');
	end,
};
loc33 = room{
     pic = 'data/43.jpg';
     nam = 'Уровень 5: Отель';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc34'),
	},
	enter = function()
		set_music('data/11.ogg');
	end,
};
loc34 = room{
     pic = 'data/44.jpg';
     nam = 'Уровень 5: Босс';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc35'),
	},
	enter = function()
		set_music('data/11.ogg');
	end,
};
loc35 = room{
     pic = 'data/45.jpg';
     nam = 'Сцена с Урной Фараона';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc36'),
	},
	enter = function()
		set_music('data/11.ogg');
	end,
};
loc36 = room{
     pic = 'data/46.jpg';
     nam = 'Сцена в парке развлечений';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc37'),
	},
	enter = function()
		set_music('data/12.ogg');
	end,
};
loc37 = room{
     pic = 'data/47.jpg';
     nam = 'Уровень 6: Часовая башня';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc38'),
	},
	enter = function()
		set_music('data/12.ogg');
	end,
};
loc38 = room{
     pic = 'data/48.jpg';
     nam = 'Уровень 6: Босс';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc39'),
	},
	enter = function()
		set_music('data/12.ogg');
	end,
};
loc39 = room{
     pic = 'data/49.jpg';
     nam = 'Сцена в парке развлечений';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc40'),
	},
	enter = function()
		set_music('data/13.ogg');
	end,
};
loc40 = room{
     pic = 'data/50.jpg';
     nam = 'Уровень 7: Дикий Запад';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc41'),
	},
	enter = function()
		set_music('data/13.ogg');
	end,
};
loc41 = room{
     pic = 'data/51.jpg';
     nam = 'Уровень 7: Босс';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc42'),
	},
	enter = function()
		set_music('data/13.ogg');
	end,
};
loc42 = room{
     pic = 'data/52.jpg';
     nam = 'Сцена в парке равзлечений';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc43'),
	},
	enter = function()
		set_music('data/14.ogg');
	end,
};
loc43 = room{
     pic = 'data/53.jpg';
     nam = 'Уровень 8: Мир Будущего';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc44'),
	},
	enter = function()
		set_music('data/14.ogg');
	end,
};
loc44 = room{
     pic = 'data/54.jpg';
     nam = 'Уровень 8: Босс';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc45'),
	},
	enter = function()
		set_music('data/14.ogg');
	end,
};
loc45 = room{
     pic = 'data/55.jpg';
     nam = 'Сцена в парке развлечений';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc46'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc46 = room{
     pic = 'data/56.jpg';
     nam = 'Уровень 9: Завод Толстопуза';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc47'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc47 = room{
     pic = 'data/57.jpg';
     nam = 'Уровень 9: Завод Толстопуза';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc48'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc48 = room{
     pic = 'data/58.jpg';
     nam = 'Уровень 9: Завод Толстопуза';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc49'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc49 = room{
     pic = 'data/59.jpg';
     nam = 'Уровень 9: Завод Толстопуза';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc50'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc50 = room{
     pic = 'data/60.jpg';
     nam = 'Уровень 9: Завод Толстопуза';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc51'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc51 = room{
     pic = 'data/61.jpg';
     nam = 'Уровень 9: Завод Толстопуза';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc52'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc52 = room{
     pic = 'data/62.jpg';
     nam = 'Уровень 9: Завод Толстопуза';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc53'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc53 = room{
     pic = 'data/63.jpg';
     nam = 'Уровень 9: Завод Толстопуза';
    obj = {vway("a1", [[Нажмите {СТАРТ}.]], 'loc54'),
	},
	enter = function()
		set_music('data/15.ogg');
	end,
};
loc54 = room{
     pic = 'data/64.jpg';
     nam = 'Сцена с Толстопузом';
    obj = {vway("a1", [[
    - Добро пожаловать, Спасатели! Я долго вас ждал!
    ^- Тебе не удасться уйти, Толстопуз! Сдавайся!
    ^- Вам никогда не победить меня, Спасатели! У меня есть секретное оружие:
     Робот - Толстопуз!
    ^- Спасатели никогда не сдаются! {В атаку}!
    ]], 'loc55'),
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
loc55 = room{
     pic = 'data/65.jpg';
     nam = 'Побез из туалета: 3 лампочки';
    obj = {vway("a1", [[Нажмите {СТАРТ}.   
    ]], 'loc56'),
	},
	enter = function()
		set_music('data/16.ogg');
	end,
};
loc56 = room{
     pic = 'data/66.jpg';
     nam = 'Побез из туалета: 2 лампочки';
    obj = {vway("a1", [[Нажмите {СТАРТ}.   
    ]], 'loc57'),
	},
	enter = function()
		set_music('data/16.ogg');
	end,
};
loc57 = room{
     pic = 'data/67.jpg';
     nam = 'Побез из туалета: 1 лампочка';
    obj = {vway("a1", [[Нажмите {СТАРТ}.   
    ]], 'loc58'),
	},
	enter = function()
		set_music('data/16.ogg');
	end,
};
act1 = obj{
     nam = 'подпрыгнуть';
     dsc = '{подпрыгнуть}';
     act = function()
     if q1 == 1 then goto('loc61'); end;
     if q1 == 2 then goto('loc60'); end;
     if q1 == 3 then goto('loc60'); end;
     end;
};
act2 = obj{
     nam = 'пригнуться';
     dsc = '^{пригнуться}';
     act = function()
     if q1 == 1 then goto('loc60'); end;
     if q1 == 2 then goto('loc63'); end;
     if q1 == 3 then  goto('loc60'); end;
     end;
};
act3 = obj{
     nam = 'бежать вперёд';
     dsc = '^{бежать}';
     act = function()
     if q1 == 1 then  goto('loc60'); end;
     if q1 == 2 then  goto('loc60'); end;
     if q1 == 3 then  goto('loc65'); end;
     end;
};
loc58 = room{
     pic = 'data/68.jpg';
     nam = 'Уровень 9: Босс';
    obj = {vway("a1", [[Из темноты появился {Робот - Толстопуз}.   
    ]], 'loc59'),
	},
	enter = function()
		set_music('data/16.ogg');
	end,
};
loc59 = room{
     pic = 'data/69.jpg';
     forcedsc = true;
     nam = 'Уровень 9: Босс';
     dsc = [[Из хвоста робота по полу побежали электрические искры.]];
    obj = { act1,act2,act3},
	enter = function() q1 = 1;
		set_music('data/16.ogg');
	end,
};
loc60 = room{
     pic = 'data/70.jpg';
     nam = 'Уровень 9: Босс';
    obj = {vway("a1", [[Наступила тьма. Потом зажёгся {свет}.   
    ]], 'loc55'),
	},
	enter = function()
		set_music('data/16.ogg');
	end,
};
loc61 = room{
     pic = 'data/71.jpg';
     nam = 'Уровень 9: Босс';
    obj = {vway("a1", [[Чип подпрыгнул над искрами. Битва {продолжалась}.   
    ]], 'loc62'),
	},
	enter = function()
		set_music('data/16.ogg');
	end,
};
loc62 = room{
     pic = 'data/72.jpg';
     forcedsc = true;
     nam = 'Уровень 9: Босс';
     dsc = [[Робот запустил в Чипа огромный шипастый шар.]];
    obj = { act1,act2,act3},
	enter = function() q1 = 2;
		set_music('data/16.ogg');
	end,
};
loc63 = room{
     pic = 'data/73.jpg';
     nam = 'Уровень 9: Босс';
    obj = {vway("a1", [[Чип пригнулся над шипастым шаром. Битва {продолжалась}.   
    ]], 'loc64'),
	},
	enter = function()
		set_music('data/16.ogg');
	end,
};
loc64 = room{
     pic = 'data/74.jpg';
     forcedsc = true;
     nam = 'Уровень 9: Босс';
     dsc = [[В Чипа полетела летающая механическая рука.]];
    obj = { act1,act2,act3},
	enter = function() q1 = 3;
		set_music('data/16.ogg');
	end,
};
loc65 = room{
     pic = 'data/75.jpg';
     nam = 'Уровень 9: Босс';
    obj = {vway("a1", [[Чип убежал от механической руки . Битва {продолжалась}.   
    ]], 'loc66'),
	},
	enter = function() q1 = 0;
		set_music('data/16.ogg');
	end,
};
cat = obj{
    nam = 'cat';
    dsc = 'На Чипа надвигался {Робот - Толстопуз}.';
    act = '- Смерть Спасателям! Уничтожить грызунов!';
    used = function()
    if q1 == 1 then p[[Граната взорвалась слишком поздно! Робот схватил Чипа.]];
    inv():del(box5); objs('loc66'):add('box5'); goto('loc60');end;
    if q1 == 2 then inv():del(box5); goto('loc67');end;
    end;
};
box5 = obj{
    nam = 'граната';
    dsc = 'Внезапно сверху упала {граната}.';
    inv = function()
    if q1 == 1 then q1 = 2; p[[- На таймере осталась единичка! Граната вот-вот взорвётся!]];
    else p[[Граната взорвалась прямо в руках у Чипа.]];
    inv():del(box5); objs('loc66'):add('box5'); goto('loc60');end;
    end;
    act = function() p[[Чип взял гранату.]];
    q1 = 1; objs('loc66'):del('box5'); inv():add('box5');
    end;
};
loc66 = room{
     pic = function()
     if q1 == 0 then return('data/76.jpg');end;
     if q1 == 1 then return('data/77.jpg');end;
     if q1 == 2 then return('data/78.jpg');end;
     end;
     nam = 'Уровень 9: Босс';
    obj = {cat,box5},
	enter = function()
		set_music('data/16.ogg');
	end,
};
loc67 = room{
     pic = 'data/79.jpg';
     nam = 'Уровень 9: Босс';
    obj = {vway("a1", [[
    Граната взорвалась вовремя. Робот - Толстопуз вышел из строя. Но времени оставалось совсем {мало}.]], 'loc68'),
	},
	enter = function()
		set_music('data/6.ogg');
	end,
};
loc68 = room{
     pic = 'data/80.jpg';
     nam = 'Сцена на заводе';
    obj = {vway("a1", [[
    Прибежал Рокфор. Он взовлнованно сказал:
    ^- Быстрее! Потолок рушится! Надо уходить {отсюда}!]], 'loc69'),
	},
	enter = function()
		set_music('data/6.ogg');
	end,
};
loc69 = room{
     pic = 'data/81.jpg';
     nam = 'Сцена после взрыва';
    obj = {vway("a1", [[
    Завод Толстопуза взорвался. ^Гайка обратилась к друзьям:
    ^- Ребята! Толстопузу удалось уйти!
    ^- Ничего, мы его ещё поймаем!
    ^- Ага, главное - держаться вместе!
    ^- Спасатели, {вперёд}!]], 'loc70'),
	},
	enter = function()
		set_music('data/6.ogg');
	end,
};
loc70 = room{
     pic = 'data/82.jpg';
     nam = 'Чип и Дейл 2';
    obj = {vway("a1", [[
    На этом история заканчивается. Но совсем скоро Спасателей ждут новые приключения!]], 'loc70'),
	},
	enter = function()
		set_music('data/17.ogg');
	end,
};
